PoolingConnection.StatementType (Apache Tomcat 9.0.106 API Documentation)
Description: declaration: package: org.apache.tomcat.dbcp.dbcp2, class: PoolingConnection, enum: StatementType

# Enum PoolingConnection.StatementType

java.lang.Object
java.lang.Enum<PoolingConnection.StatementType>
org.apache.tomcat.dbcp.dbcp2.PoolingConnection.StatementType

All Implemented Interfaces:
  `Serializable`, `Comparable<PoolingConnection.StatementType>`, `java.lang.constant.Constable`

Enclosing class:
  `PoolingConnection`

public static enum PoolingConnection.StatementType extends Enum<PoolingConnection.StatementType>
Statement types. See subclasses of `Statement`.

Since:
  2.0 protected enum., 2.4.0 public enum.
See Also:
  - `Statement`
  - `CallableStatement`
  - `PreparedStatement`

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CALLABLE_STATEMENT`
  Callable statement.
  `PREPARED_STATEMENT`
  Prepared statement.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static PoolingConnection.StatementType`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static PoolingConnection.StatementType[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CALLABLE_STATEMENT

    public static final PoolingConnection.StatementType CALLABLE_STATEMENT
    Callable statement.
    See Also:
      - `CallableStatement`

  - ### PREPARED_STATEMENT

    public static final PoolingConnection.StatementType PREPARED_STATEMENT
    Prepared statement.
    See Also:
      - `PreparedStatement`

- ## Method Details

  - ### values

    public static PoolingConnection.StatementType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static PoolingConnection.StatementType valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null